$!*****************************************************************************
$!****************************               **********************************
$!**************************** PLUTO.COM     **********************************
$!****************************               **********************************
$!*****************************************************************************
$!                                                                            *
$!           Procedure for running PLUTO with variable dimensions             *
$!                                                                            *
$!                           Copyright (c) 1992.                              *
$!                               S. Gorter                                    * 
$!                              R.U. Leiden.                                  *
$!*****************************************************************************
$!
$	CURDEF 		= 	F$ENVIRONMENT("DEFAULT")
$	DEFDIR 		:== 	'CURDEF'
$	GOTO SKIP_CNTRLY
$!
$!-----------------------------------------------------------------------------
$!	Control-y was entered, if we got to this part of the program          !
$!-----------------------------------------------------------------------------
$!
$CNTRLY:
$	SET NOVERIFY
$	ON CONTROL_Y THEN GOTO REPEAT_CNTRL_Y
$	SAY "[0;0r"
$	SAY "[?6l"
$	SAY CLS
$	ECHO
$	TYPE SYS$INPUT:
[1m
                 **************************************************
                 *  Command procedure PLUTO aborted by Control Y  *
                 **************************************************[0m

$REPEAT_CNTRL_Y:
$	INQUIRE/NOPUNCT DOORGAAN -
"---- Hit [return] to continue"
$	IF F$EXTRACT(0,1,DOORGAAN) .NES. "" THEN GOTO REPEAT_CNTRL_Y
$	SAY CLS
$!	SET DEFAULT 'DEFDIR'
$	EXIT
$!-----------------------------------------------------------------------------
$!	Test if DEBUG parameter was entered when starting the command         !
$!-----------------------------------------------------------------------------
$!
$SKIP_CNTRLY:
$	IF P1 .NES. "DEBUG" THEN GOTO SKIP_DEBUG
$	SET VERIFY
$!-----------------------------------------------------------------------------
$!	Start of procedure                                                    !
$!-----------------------------------------------------------------------------
$SKIP_DEBUG:
$	ON CONTROL_Y THEN GOTO CNTRLY
$	SAY CLS
$!----------------------------------------------------------------------------
$!	Display the procedure logo                                           !
$!----------------------------------------------------------------------------
$!
$	copy/nolog sys$disk5:[xray.pluto92]logo.txt sys$output
$	SAY "[0m[15;24r[?6h"
$!-----------------------------------------------------------------------------
$!	Inquire which files the user wants to use for atom and command input. !
$!	These files must be present previously. Default extensions .dat & .cmd!
$!-----------------------------------------------------------------------------
$!
$INQUIRE_FILE:
$ 	INQUIRE FILE "Which files should be used as input? [1m"
$	SAY "[0m"
$	IF F$EXTRACT(0,1,FILE) .NES. "?" THEN GOTO NO_HELP_FILE
$!-----------------------------------------------------------------------------
$!	A ? was entered when arriving here                                    !
$!-----------------------------------------------------------------------------
$!
$	copy/nolog sys$disk5:[xray.pluto92]help1.txt sys$output
$	GOTO INQUIRE_FILE
$!-----------------------------------------------------------------------------
$!	File name given, onely last version is taken                          ! 
$!-----------------------------------------------------------------------------
$!
$NO_HELP_FILE:  
$	SAY CLS
$	IF F$LENGTH(FILE) .EQ. F$LOCATE(".",FILE) THEN FILE1=FILE+".CMD"
$	IF F$LENGTH(FILE) .EQ. F$LOCATE(".",FILE) THEN FILE2=FILE+".DAT"
$	IF F$LENGTH(FILE) .EQ. F$LOCATE(".",FILE) THEN FILE3=FILE+".PDS"
$	IF F$LENGTH(FILE) .EQ. F$LOCATE(".",FILE) THEN FILE4=FILE+".LIS"
$!-----------------------------------------------------------------------------
$!	Test if file exists.                                                  !
$!	If not a message is displayed, which must be answered by a [return]   !
$!-----------------------------------------------------------------------------
$!
$	FILE_SPEC = F$SEARCH(FILE1)
$	FILE_EXIST = "YES"
$	IF FILE_SPEC .EQS. "" THEN FILE_EXIST = "NO"
$	IF FILE_EXIST .EQS. "NO" THEN GOTO UNKNOWN_NAME
$	GOTO PREPROC_STEP
$!-----------------------------------------------------------------------------
$!	Command file doesn't exists, go back to file specification            !
$!-----------------------------------------------------------------------------
$!
$UNKNOWN_NAME:
$	FILE_EXIST = "NO"
$	SAY "%INTRLNK-W-NOFLEXST, PLUTO instruction file ",FILE1," not found"
$	GOTO INQUIRE_FILE
$!-----------------------------------------------------------------------------
$!	File has been found.                                                  !
$!-----------------------------------------------------------------------------
$! 
$PREPROC_STEP:
$	SAY "[0;0r"
$	SAY "[?6l"
$	SAY CLS
$	FILE_SPEC = F$SEARCH(FILE2)
$	FILE_EXIST = "YES"
$	IF FILE_SPEC .EQS. "" THEN FILE_EXIST = "NO"
$	IF FILE_EXIST .EQS. "NO" THEN -
      	SAY "%PLUTO-W-NOFLEXST, PLUTO atom parameter file ",FILE2," not found"
$	ASSIGN/nolog PLUTO_INPUT.CMD FOR001 
$	ASSIGN/nolog PLUTO_MAIN.FOR FOR002
$	ASSIGN/nolog 'FILE1' FOR005
$	RUN $disk1:[PLUTO92]PRPLUTO
$	DEASSIGN/ALL
$	IF FILE_EXIST .EQS. "YES" THEN -
		ASSIGN/USER 'FILE2' FOR008
$	ASSIGN/nolog $disk1:[PLUTO92]VAX.DAT FOR003
$	ASSIGN/nolog KLAD4.DAT FOR004
$	ASSIGN/nolog PLUTO_INPUT.CMD FOR005
$	ASSIGN/nolog PLUTO_LIST.OUT FOR006
$	ASSIGN/nolog $disk1:[PLUTO92]PRTPARM.DAT FOR009
$	ASSIGN/nolog KLAD10.DAT FOR010
$	ASSIGN/nolog $disk1:[PLUTO92]message.txt FOR012
$	FORT PLUTO_MAIN
$	LINK PLUTO_MAIN,$disk1:[PLUTO92]PLUTOlib/l,-
      		$disk1:[sys0.SYSLIB]GSSLIB/L	
$	RUN PLUTO_MAIN
$	SAY "[0;0r"
$	SAY "[?6l"
$	SAY CLS
$ 	WRITE SYS$OUTPUT "The complete job is finished."
$	RENAME PLUTO_LIST.OUT 'FILE4'
$	RENAME PLOTS.PDS 'FILE3' 
$	pur/nolog *.lis
$	pur/nolog *.pds
$!	del/nolog PLUTO*.*;*
$!	DELETE/noLOG KLAD*.*;*
$	DEASSIGN/ALL
$ 	EXIT
